diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/PresenceAbsenceTermComboElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/PresenceAbsenceTermComboElement.java
index b03ed89be..8ed7d6997 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/PresenceAbsenceTermComboElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/PresenceAbsenceTermComboElement.java
@@ -13,7 +13,7 @@ package eu.etaxonomy.taxeditor.ui.term;
 import java.util.List;
 
 import eu.etaxonomy.cdm.model.description.PresenceAbsenceTermBase;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -31,13 +31,13 @@ public class PresenceAbsenceTermComboElement extends
 	/**
 	 * <p>Constructor for PresenceAbsenceTermComboElement.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param selection a {@link eu.etaxonomy.cdm.model.description.PresenceAbsenceTermBase} object.
 	 * @param style a int.
 	 */
-	public PresenceAbsenceTermComboElement(CdmFormFactory formFactory,
+	public PresenceAbsenceTermComboElement(CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString,
 			PresenceAbsenceTermBase selection, int style) {
 		super(formFactory, parentElement, labelString, selection, VISIBLE_ITEMS, style);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/PreservationMethodComboElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/PreservationMethodComboElement.java
index 20f4fbb97..4c9bffcb5 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/PreservationMethodComboElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/PreservationMethodComboElement.java
@@ -13,7 +13,7 @@ package eu.etaxonomy.taxeditor.ui.term;
 import java.util.List;
 
 import eu.etaxonomy.cdm.model.occurrence.PreservationMethod;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -30,13 +30,13 @@ public class PreservationMethodComboElement extends AbstractTermComboElement<Pre
 	/**
 	 * <p>Constructor for PreservationMethodComboElement.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param selection a {@link eu.etaxonomy.cdm.model.occurrence.PreservationMethod} object.
 	 * @param style a int.
 	 */
-	public PreservationMethodComboElement(CdmFormFactory formFactory,
+	public PreservationMethodComboElement(CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString,
 			PreservationMethod selection, int style) {
 		super(formFactory, parentElement, labelString, selection, VISIBLE_ITEMS, style);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/RankComboElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/RankComboElement.java
index 4be334a3e..921b41706 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/RankComboElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/RankComboElement.java
@@ -13,7 +13,7 @@ package eu.etaxonomy.taxeditor.ui.term;
 import java.util.List;
 
 import eu.etaxonomy.cdm.model.name.Rank;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -33,10 +33,10 @@ public class RankComboElement extends AbstractTermComboElement<Rank> {
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param selection a {@link eu.etaxonomy.cdm.model.name.Rank} object.
 	 * @param style a int.
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 */
-	public RankComboElement(CdmFormFactory formFactory, ICdmFormElement parentElement, String labelString,
+	public RankComboElement(CdmFormFactoryFacade formFactory, ICdmFormElement parentElement, String labelString,
 			Rank selection, int style) {
 		super(formFactory, parentElement, labelString, selection, VISIBLE_ITEMS, style);
 	}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/ReferenceSystemComboElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/ReferenceSystemComboElement.java
index 6a0e9d4dc..693121ad2 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/ReferenceSystemComboElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/ReferenceSystemComboElement.java
@@ -13,8 +13,8 @@ package eu.etaxonomy.taxeditor.ui.term;
 import java.util.List;
 
 import eu.etaxonomy.cdm.model.location.ReferenceSystem;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.store.TermStore;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -31,13 +31,13 @@ public class ReferenceSystemComboElement extends AbstractTermComboElement<Refere
 	/**
 	 * <p>Constructor for ReferenceSystemComboElement.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param selection a {@link eu.etaxonomy.cdm.model.location.ReferenceSystem} object.
 	 * @param style a int.
 	 */
-	public ReferenceSystemComboElement(CdmFormFactory formFactory,
+	public ReferenceSystemComboElement(CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString,
 			ReferenceSystem selection, int style) {
 		super(formFactory, parentElement, labelString, selection, VISIBLE_ITEMS, style);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/ReferenceTypeComboElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/ReferenceTypeComboElement.java
index 5d0eb0211..a789a7f10 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/ReferenceTypeComboElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/ReferenceTypeComboElement.java
@@ -11,8 +11,8 @@
 package eu.etaxonomy.taxeditor.ui.term;
 
 import eu.etaxonomy.cdm.model.reference.ReferenceType;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.store.CdmStore;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -28,12 +28,12 @@ public class ReferenceTypeComboElement extends AbstractEnumComboElement<Referenc
 	 * <p>Constructor for ReferenceTypeComboElement.</p>
 	 *
 	 * @param style a int.
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param referenceType a {@link eu.etaxonomy.cdm.model.reference.ReferenceType} object.
 	 */
-	public ReferenceTypeComboElement(CdmFormFactory formFactory, ICdmFormElement parentElement, String labelString, ReferenceType referenceType, int style) {
+	public ReferenceTypeComboElement(CdmFormFactoryFacade formFactory, ICdmFormElement parentElement, String labelString, ReferenceType referenceType, int style) {
 		super(formFactory, parentElement, labelString);
 	}
 
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/RightsTypeComboElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/RightsTypeComboElement.java
index 9c0d58578..5b628419a 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/RightsTypeComboElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/RightsTypeComboElement.java
@@ -13,7 +13,7 @@ package eu.etaxonomy.taxeditor.ui.term;
 import java.util.List;
 
 import eu.etaxonomy.cdm.model.media.RightsTerm;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -33,10 +33,10 @@ public class RightsTypeComboElement extends AbstractTermComboElement<RightsTerm>
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param selection a {@link eu.etaxonomy.cdm.model.media.RightsTerm} object.
 	 * @param style a int.
-	 * @param toolkit a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param toolkit a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 */
-	public RightsTypeComboElement(CdmFormFactory toolkit, ICdmFormElement parentElement, String labelString,
+	public RightsTypeComboElement(CdmFormFactoryFacade toolkit, ICdmFormElement parentElement, String labelString,
 			RightsTerm selection, int style) {
 		super(toolkit, parentElement, labelString, selection, VISIBLE_ITEMS, style);
 	}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/ScopeComboElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/ScopeComboElement.java
index d64d75e12..76c9d3199 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/ScopeComboElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/ScopeComboElement.java
@@ -13,7 +13,7 @@ package eu.etaxonomy.taxeditor.ui.term;
 import java.util.List;
 
 import eu.etaxonomy.cdm.model.description.Scope;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -30,13 +30,13 @@ public class ScopeComboElement extends AbstractTermComboElement<Scope> {
 	/**
 	 * <p>Constructor for ScopeComboElement.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param selection a {@link eu.etaxonomy.cdm.model.description.Scope} object.
 	 * @param style a int.
 	 */
-	public ScopeComboElement(CdmFormFactory formFactory,
+	public ScopeComboElement(CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString, Scope selection,
 			int style) {
 		super(formFactory, parentElement, labelString, selection, VISIBLE_ITEMS, style);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/SexComboElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/SexComboElement.java
index fad77d977..ec285978f 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/SexComboElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/SexComboElement.java
@@ -14,7 +14,7 @@ import java.util.ArrayList;
 import java.util.List;
 
 import eu.etaxonomy.cdm.model.description.Sex;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -31,13 +31,13 @@ public class SexComboElement extends AbstractTermComboElement<Sex> {
 	/**
 	 * <p>Constructor for SexComboElement.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param selection a {@link eu.etaxonomy.cdm.model.description.Sex} object.
 	 * @param style a int.
 	 */
-	public SexComboElement(CdmFormFactory formFactory,
+	public SexComboElement(CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString, Sex selection, int style) {
 		super(formFactory, parentElement, labelString, selection, VISIBLE_ITEMS, style);
 	}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/SpecimenTypeDesignationStatusComboElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/SpecimenTypeDesignationStatusComboElement.java
index 86e7c3ee8..1d85e0132 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/SpecimenTypeDesignationStatusComboElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/SpecimenTypeDesignationStatusComboElement.java
@@ -13,7 +13,7 @@ package eu.etaxonomy.taxeditor.ui.term;
 import java.util.List;
 
 import eu.etaxonomy.cdm.model.name.SpecimenTypeDesignationStatus;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -31,14 +31,14 @@ public class SpecimenTypeDesignationStatusComboElement extends
 	/**
 	 * <p>Constructor for SpecimenTypeDesignationStatusComboElement.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param selection a {@link eu.etaxonomy.cdm.model.name.SpecimenTypeDesignationStatus} object.
 	 * @param style a int.
 	 */
 	public SpecimenTypeDesignationStatusComboElement(
-			CdmFormFactory formFactory, ICdmFormElement parentElement,
+			CdmFormFactoryFacade formFactory, ICdmFormElement parentElement,
 			String labelString, SpecimenTypeDesignationStatus selection, int style) {
 		super(formFactory, parentElement, labelString, selection, VISIBLE_ITEMS, style);
 	}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/StageComboElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/StageComboElement.java
index ad598b991..a08d8131c 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/StageComboElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/StageComboElement.java
@@ -13,7 +13,7 @@ package eu.etaxonomy.taxeditor.ui.term;
 import java.util.List;
 
 import eu.etaxonomy.cdm.model.description.Stage;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -30,13 +30,13 @@ public class StageComboElement extends AbstractTermComboElement<Stage> {
 	/**
 	 * <p>Constructor for StageComboElement.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param selection a {@link eu.etaxonomy.cdm.model.description.Stage} object.
 	 * @param style a int.
 	 */
-	public StageComboElement(CdmFormFactory formFactory,
+	public StageComboElement(CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString, Stage selection,
 			int style) {
 		super(formFactory, parentElement, labelString, selection, VISIBLE_ITEMS, style);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/StateComboElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/StateComboElement.java
index c55f64e43..53b9e092c 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/StateComboElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/StateComboElement.java
@@ -13,7 +13,7 @@ package eu.etaxonomy.taxeditor.ui.term;
 import java.util.List;
 
 import eu.etaxonomy.cdm.model.description.State;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -30,13 +30,13 @@ public class StateComboElement extends AbstractTermComboElement<State> {
 	/**
 	 * <p>Constructor for StateComboElement.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param selection a {@link eu.etaxonomy.cdm.model.description.State} object.
 	 * @param style a int.
 	 */
-	public StateComboElement(CdmFormFactory formFactory,
+	public StateComboElement(CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString, State selection,
 			int style) {
 		super(formFactory, parentElement, labelString, selection, VISIBLE_ITEMS, style);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/StatisticalMeasureComboElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/StatisticalMeasureComboElement.java
index 38f270422..3ea08f6e9 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/StatisticalMeasureComboElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/StatisticalMeasureComboElement.java
@@ -13,7 +13,7 @@ package eu.etaxonomy.taxeditor.ui.term;
 import java.util.List;
 
 import eu.etaxonomy.cdm.model.description.StatisticalMeasure;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -30,13 +30,13 @@ public class StatisticalMeasureComboElement extends AbstractTermComboElement<Sta
 	/**
 	 * <p>Constructor for StatisticalMeasureComboElement.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param selection a {@link eu.etaxonomy.cdm.model.description.StatisticalMeasure} object.
 	 * @param style a int.
 	 */
-	public StatisticalMeasureComboElement(CdmFormFactory formFactory,
+	public StatisticalMeasureComboElement(CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString,
 			StatisticalMeasure selection, int style) {
 		super(formFactory, parentElement, labelString, selection, VISIBLE_ITEMS, style);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/translation/TranslationMetaDataWizardPage.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/translation/TranslationMetaDataWizardPage.java
index f35f678fd..fc1250c24 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/translation/TranslationMetaDataWizardPage.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/translation/TranslationMetaDataWizardPage.java
@@ -16,7 +16,7 @@ import org.eclipse.swt.custom.SashForm;
 import org.eclipse.swt.widgets.Composite;
 
 import eu.etaxonomy.taxeditor.singlesource.org.eclipse.swt.widgets.DisplayProxy;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 
 /**
  * <p>TranslationMetaDataWizardPage class.</p>
@@ -27,7 +27,7 @@ import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
  */
 public class TranslationMetaDataWizardPage extends WizardPage {
 
-	private CdmFormFactory formFactory;
+	private CdmFormFactoryFacade formFactory;
 
 	/**
 	 * <p>Constructor for TranslationMetaDataWizardPage.</p>
@@ -36,7 +36,7 @@ public class TranslationMetaDataWizardPage extends WizardPage {
 		super("TranslationMetaDataWizardPage");
 		setTitle("See information about existing translations");
 				
-		formFactory = new CdmFormFactory(DisplayProxy.getDefault());
+		formFactory = CdmFormFactoryFacade.getInstance(DisplayProxy.getDefault());
 	}
 	
 	/* (non-Javadoc)
@@ -47,9 +47,9 @@ public class TranslationMetaDataWizardPage extends WizardPage {
 	public void createControl(Composite parent) {
 		Composite control = formFactory.createComposite(parent);
 //		control.setBackground(DisplayProxy.getDefault().getSystemColor(SWT.COLOR_GREEN));
-		control.setLayout(CdmFormFactory.LAYOUT(1, false));
+		control.setLayout(CdmFormFactoryFacade.LAYOUT(1, false));
 		SashForm sash = new SashForm(control, SWT.HORIZONTAL);
-		sash.setLayoutData(CdmFormFactory.FILL());
+		sash.setLayoutData(CdmFormFactoryFacade.FILL());
 		
 		setControl(control);
 	}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/translation/TranslationWizardPage.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/translation/TranslationWizardPage.java
index 0a87463f4..ce88599a7 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/translation/TranslationWizardPage.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/translation/TranslationWizardPage.java
@@ -28,11 +28,11 @@ import eu.etaxonomy.cdm.model.common.Language;
 import eu.etaxonomy.cdm.model.common.LanguageString;
 import eu.etaxonomy.cdm.model.common.MultilanguageTextHelper;
 import eu.etaxonomy.taxeditor.singlesource.org.eclipse.swt.widgets.DisplayProxy;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.singlesource.ui.forms.LanguageStringWithLabelElementFacade;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.TermComboType;
 import eu.etaxonomy.taxeditor.store.CdmStore;
 import eu.etaxonomy.taxeditor.store.StoreUtil;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.TermComboType;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.forms.MultilanguageTextElement;
 import eu.etaxonomy.taxeditor.ui.forms.RootElement;
@@ -54,7 +54,7 @@ public class TranslationWizardPage extends WizardPage{
 
 	MultilanguageTextElement source;
 	
-	private CdmFormFactory formFactory;
+	private CdmFormFactoryFacade formFactory;
 
 	private EmptyComboElement<Language> combo_sourceLanguage;
 
@@ -74,7 +74,7 @@ public class TranslationWizardPage extends WizardPage{
 		Assert.isNotNull(multilanguageText, "Multilanguage text may not be null");
 		setTitle("Add or edit translations.");
 		this.multilanguageText = multilanguageText;
-		formFactory = new CdmFormFactory(DisplayProxy.getDefault());
+		formFactory = CdmFormFactoryFacade.getInstance(DisplayProxy.getDefault());
 	}
 
 	/* (non-Javadoc)
@@ -85,17 +85,17 @@ public class TranslationWizardPage extends WizardPage{
 	public void createControl(Composite parent) {
 		Composite control = formFactory.createComposite(parent);
 //		control.setBackground(DisplayProxy.getDefault().getSystemColor(SWT.COLOR_GREEN));
-		control.setLayout(CdmFormFactory.LAYOUT(2, true));
+		control.setLayout(CdmFormFactoryFacade.LAYOUT(2, true));
 		
 		Composite leftContainer = formFactory.createComposite(control);
-		leftContainer.setLayoutData(CdmFormFactory.FILL());
-		leftContainer.setLayout(CdmFormFactory.LAYOUT(1, false));
+		leftContainer.setLayoutData(CdmFormFactoryFacade.FILL());
+		leftContainer.setLayout(CdmFormFactoryFacade.LAYOUT(1, false));
 //		leftContainer.setBackground(DisplayProxy.getDefault().getSystemColor(SWT.COLOR_BLUE));
 		RootElement leftRoot = new RootElement(formFactory, leftContainer);
 		
 		Composite rightContainer = formFactory.createComposite(control);
-		rightContainer.setLayoutData(CdmFormFactory.FILL());
-		rightContainer.setLayout(CdmFormFactory.LAYOUT(1, false));
+		rightContainer.setLayoutData(CdmFormFactoryFacade.FILL());
+		rightContainer.setLayout(CdmFormFactoryFacade.LAYOUT(1, false));
 //		rightContainer.setBackground(DisplayProxy.getDefault().getSystemColor(SWT.COLOR_RED));
 		RootElement rightRoot = new RootElement(formFactory, rightContainer);
 		
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/AbstractCdmDataViewer.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/AbstractCdmDataViewer.java
index d0852256d..b7cc98f32 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/AbstractCdmDataViewer.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/AbstractCdmDataViewer.java
@@ -23,8 +23,8 @@ import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
 import eu.etaxonomy.cdm.api.conversation.IConversationEnabled;
 import eu.etaxonomy.cdm.persistence.hibernate.CdmDataChangeMap;
 import eu.etaxonomy.taxeditor.singlesource.org.eclipse.swt.widgets.DisplayProxy;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.forms.RootElement;
 import eu.etaxonomy.taxeditor.view.detail.CdmSectionPart;
 
@@ -39,7 +39,7 @@ public abstract class AbstractCdmDataViewer extends Viewer implements ISelection
 	
 	protected ManagedForm managedForm;
 
-	protected CdmFormFactory formFactory;
+	protected CdmFormFactoryFacade formFactory;
 
 	protected ScrolledForm scrolledForm;
 	
@@ -78,7 +78,7 @@ public abstract class AbstractCdmDataViewer extends Viewer implements ISelection
 		
 		body = scrolledForm.getBody();
 		
-		body.setLayout(CdmFormFactory.LAYOUT());
+		body.setLayout(CdmFormFactoryFacade.LAYOUT());
 		
 		rootElement = new RootElement(formFactory, body);
 	}
@@ -91,7 +91,7 @@ public abstract class AbstractCdmDataViewer extends Viewer implements ISelection
 			formFactory.dispose();
 			formFactory = null;
 		}
-		formFactory = new CdmFormFactory(DisplayProxy.getDefault(), this);
+		formFactory = CdmFormFactoryFacade.getInstance(DisplayProxy.getDefault(), this);
 	}
 
 	protected void markViewPartDirty(){
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/detail/DetailsViewer.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/detail/DetailsViewer.java
index 8183d13ea..88f923cc6 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/detail/DetailsViewer.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/detail/DetailsViewer.java
@@ -36,9 +36,9 @@ import eu.etaxonomy.taxeditor.model.FeatureNodeContainer;
 import eu.etaxonomy.taxeditor.model.PolytomousKeyRelationship;
 import eu.etaxonomy.taxeditor.preference.IPreferenceKeys;
 import eu.etaxonomy.taxeditor.preference.PreferencesUtil;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.DetailType;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.EntityDetailType;
 import eu.etaxonomy.taxeditor.store.StoreUtil;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.DetailType;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.EntityDetailType;
 import eu.etaxonomy.taxeditor.ui.forms.RootElement;
 import eu.etaxonomy.taxeditor.ui.section.agent.PersonDetailSection;
 import eu.etaxonomy.taxeditor.ui.section.agent.TeamDetailSection;
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/supplementaldata/SupplementalDataViewer.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/supplementaldata/SupplementalDataViewer.java
index dc6e56fa3..c3d442856 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/supplementaldata/SupplementalDataViewer.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/supplementaldata/SupplementalDataViewer.java
@@ -23,9 +23,9 @@ import eu.etaxonomy.cdm.model.common.IdentifiableEntity;
 import eu.etaxonomy.cdm.model.common.VersionableEntity;
 import eu.etaxonomy.cdm.model.media.IdentifiableMediaEntity;
 import eu.etaxonomy.taxeditor.model.IElementHasDetails;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.EntityDetailType;
 import eu.etaxonomy.taxeditor.ui.forms.RootElement;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.EntityDetailType;
 import eu.etaxonomy.taxeditor.ui.section.media.MediaSection;
 import eu.etaxonomy.taxeditor.ui.section.supplemental.AnnotationSection;
 import eu.etaxonomy.taxeditor.ui.section.supplemental.CreditSection;
@@ -218,7 +218,7 @@ public class SupplementalDataViewer extends AbstractCdmDataViewer implements ISe
 	/** {@inheritDoc} */
 	public void selectionChanged(SelectionChangedEvent event) {
 		if(event.getSource() instanceof DetailsViewer){
-			if(event.getSelection() == CdmFormFactory.EMPTY_SELECTION){
+			if(event.getSelection() == CdmFormFactoryFacade.EMPTY_SELECTION){
 				setInput(null);
 				currentViewPart = VIEW_PART.EMPTY;
 				return;
